<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.flow.*" %>
<%@ include file="/sessionInfo.jsp"%>
<%
    //是否来自弹出窗口的修改？
    String sWin  = SzConvert.strWriteData(request.getParameter("win"));
    String sWinName  = SzConvert.strWriteData(request.getParameter("winName"));
    //获取提交的参数
    String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
%>
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="win" value="<%=sWin%>">  
  <input type="hidden" name="winName" value="<%=sWinName%>">   
</form>
<%
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));

    LcStep lcStep = new LcStep();
    boolean flag = false;
    String sUrl = "index.jsp";
    String sMessage = "";
    if (sOPERATOR.equals("selectUser")) {
	  	//保存当前意见	  
    	flag = lcStep.updateSelectUser(request, session);
    } else if (sOPERATOR.equals("selectUser2")) {
    	flag = lcStep.updateSelectUser2(request, session);
    }
    sMessage = SzOut.getMessage();

    if (flag) {
        out.println(SzPageHelp.jsAlert("操作成功"));
        	%>
        	<script language='javascript'>
        	//var oWindow = window.dialogArguments;
        	var oWindow = window.opener;
        	oWindow.document.location.reload();
        	oWindow.document.location.href = oWindow.document.location.href;

					window.close();		
        	</script>      		
        	<%        		
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }
%>
